RDKit: RDKit::UFF::Tools Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
RDKit::UFF::Tools Namespace Reference

## Classes
class | DefaultTorsionBondSmarts

## Enumerations
enum | { RELATION_1_2 = 0, RELATION_1_3 = 1, RELATION_1_4 = 2, RELATION_1_X = 3 }

## Functions
void | addAtomChargeFlags (const Atom *atom, std::string &atomKey, bool tolerateChargeMismatch=true)
std::string | getAtomLabel (const Atom *atom)
unsigned int | twoBitCellPos (unsigned int nAtoms, int i, int j)
void | setTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos, boost::uint8_t value)
boost::uint8_t | getTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos)
boost::shared_array< boost::uint8_t > | buildNeighborMatrix (const ROMol &mol)
void | addBonds (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
void | addAngles (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
void | addNonbonded (const ROMol &mol, int confId, const AtomicParamVect &params, ForceFields::ForceField *field, boost::shared_array< boost::uint8_t > neighborMatrix, double vdwThresh=100.0, bool ignoreInterfragInteractions=true)
void | addTorsions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field, const std::string &torsionBondSmarts=DefaultTorsionBondSmarts::string())
void | addInversions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)

## Enumeration Type Documentation

anonymous enum

Enumerator
RELATION_1_2 |
RELATION_1_3 |
RELATION_1_4 |
RELATION_1_X |

Definition at line 92 of file UFF/Builder.h.

## Function Documentation

void RDKit::UFF::Tools::addAngles | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field
| ) |  |

void RDKit::UFF::Tools::addAtomChargeFlags | ( | const Atom * | atom,
|  | std::string & | atomKey,
|  | bool | tolerateChargeMismatch = `true`
| ) |  |

void RDKit::UFF::Tools::addBonds | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field
| ) |  |

void RDKit::UFF::Tools::addInversions | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field
| ) |  |

void RDKit::UFF::Tools::addNonbonded | ( | const ROMol & | mol,
|  | int | confId,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | boost::shared_array< boost::uint8_t > | neighborMatrix,
|  | double | vdwThresh = `100.0`,
|  | bool | ignoreInterfragInteractions = `true`
| ) |  |

void RDKit::UFF::Tools::addTorsions | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | const std::string & | torsionBondSmarts = `DefaultTorsionBondSmarts::string()`
| ) |  |

boost::shared_array<boost::uint8_t> RDKit::UFF::Tools::buildNeighborMatrix | ( | const ROMol & | mol | ) |

std::string RDKit::UFF::Tools::getAtomLabel | ( | const Atom * | atom | ) |

boost::uint8_t RDKit::UFF::Tools::getTwoBitCell | ( | boost::shared_array< boost::uint8_t > & | res,
|  | unsigned int | pos
| ) |  |

void RDKit::UFF::Tools::setTwoBitCell | ( | boost::shared_array< boost::uint8_t > & | res,
|  | unsigned int | pos,
|  | boost::uint8_t | value
| ) |  |

unsigned int RDKit::UFF::Tools::twoBitCellPos | ( | unsigned int | nAtoms,
|  | int | i,
|  | int | j
| ) |  |